Subject: Re: [hybi] [Technical Errata Reported] RFC6455 (4919)

From: Takeshi Yoshino <[email-masked]>
Date: Fri, 24 Feb 2017 12:11:23 +0900

What a received 1001 status code means can be determined by what kind of
endpoint the endpoint is talking with, a server or a client.

There's no need to let some part of the protocol be able to tell to the
peer distinction whether a certain endpoint is a client or a server. One
started handshake by establishing a connection at the underlying protocol
level and sent a handshake request is a client, and the other is a server.

Not sure if such a clarification should be in the spec. But I think at
least we don't need to have separate close codes to distinguish them.